----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    21:53:00 12/21/2010 
-- Design Name: 
-- Module Name:    main - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity main is
    Port ( rst : in  STD_LOGIC;
           clk : in  STD_LOGIC;
           swt : in  STD_LOGIC_VECTOR (2 downto 0);
           led : inout  STD_LOGIC_VECTOR (7 downto 0));
end main;

architecture Behavioral of main is

	signal clkdiv : STD_LOGIC_VECTOR (25 downto 0);
	signal dividedClk,clkout : STD_LOGIC;

begin

	process (clk, rst) begin
		if rst = '1' then clkdiv <= (others=>'0');
			elsif clk = '1' and clk'Event then
				clkdiv <= clkdiv + 1;
				clkout <= dividedClk;
			end if;
	end process;
	
	with swt select
	dividedClk <= clkdiv(18) when "111",
					  clkdiv(19) when "110",
					  clkdiv(20) when "101",
					  clkdiv(21) when "100",
					  clkdiv(22) when "011",
					  clkdiv(23) when "010",
					  clkdiv(24) when "001",
					  clkdiv(25) when others;
					  
	process (rst,clkout) begin
		if rst = '1' then led <= (others=>'0');
			elsif clkout'Event and clkout =  '1' then
				led <= led( 6 downto 0) & not led(7);
			end if;
	end process;				  
	
end Behavioral;
